:root {
    --fontColor: #0d166a;
    --accentColor: #14ed95;
    --backgroundColor: radial-gradient(at left bottom, white, white 200%);
    --containerColor: radial-gradient(circle at left top, white, white);
    --containerColor2: white;
    --shadowColor: rgba(0, 0, 0, 0.5);
    --tooltipBackgroundColor:#555;
    --borderColor: transparent;
    --fontColorDark: white;
    --fontSize: 20px;
    --logoURL: url(../Logo_green-blue.png);
    --buttonBackgroundColor: transparent;
    --hoveredBackgroundColor: transparent;
    --lineColor: linear-gradient(45deg, #14ed95 0%, #0d166a 100%);
    --lineColorActive: linear-gradient(180deg, #14ed95 0%, #0d166a 100%);
    --accentColor2: #0d166a;
}

@font-face {
    font-family: Latinka_bold;
    font-weight: bold;
    src: url("/static/fonts/Latinka Bold.ttf") format("truetype");
}

body{
    margin:0
}
.wrapper{
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background: var(--backgroundColor);
    overflow: hidden;
}


.login-text{
    font-size: 1em;
    margin: 10%;
}

/* Login container [LOGINCONTAINER] */
.container-wrapper {
    display: flex;
    flex-direction: column;
    min-width: 300px;
    max-width: 40vw;
}

.container {
    background: var(--containerColor);
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0px 0px 8px 0px var(--shadowColor);
    flex: 1;
}

.container h1 {
    text-align: center;
    margin-bottom: 34px;
    color: var(--fontColor);

}

.logo {
    text-align: center;
    margin-bottom: 20px;
    width: 100%;
    height: 50px;
    background-image: var(--logoURL);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.form {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.form-group {
    margin: 10px 0px;
    align-items: center;
    display: flex;
    flex-direction: column;
    flex: 1;
    justify-content: center;
    width: 100%;
}


.form-group button
{
    background: var(--containerColor) padding-box,
    linear-gradient(var(--angle1), var(--fontColor) 0%, var(--accentColor) 100%) border-box;
    border-radius: 1em;
    border: 2px solid transparent;
    color: var(--accentColor2);
    font-size: var(--fontSize);
    flex: 1;
    height: 40px;
    margin: 0 auto;
    width: 100%;
    box-shadow: 0px 0px 16px -3px rgba(0, 0, 0, 0.2);;

    &:hover {
        transform: scale(110%);
        cursor: pointer;
    }
}

.google_wrapper{
    display: flex;
    justify-content:space-between;
    flex-direction: column;
    height: 100px;

}


.form-group input {
    width: 90%;
    font-size: var(--fontSize);
    padding: 10px 10px 2px;
    height: 46px;
    border: none;
    background: transparent;
    box-sizing: border-box;
    transition: all .3s linear;
    color: var(--fontColor);
    font-weight: 400;
    flex: 1;
    -webkit-appearance: none;
    box-shadow: rgba(105, 106, 104, 0.62);

    &::placeholder {
        color: var(--fontColor);
        opacity: 70%;
    }

    &:focus {
        outline-width: 0px;
    }

}


.form-group div.underline {
    height: 2px;
    background: var(--lineColor);
    margin: 0px 10px;
    width: 100%;
    transition: all 100ms linear;
    Z-index: 20;
}

.form-group:focus-within div.underline {
    background: var(--accentColor)
}


/* Control type [CONTROLTYPE] */

.control-type-buttons {
    display: flex;
    justify-content: center;
    margin-bottom: 10px;
    box-shadow: rgba(0, 0, 0, 0.5);
}

.control-type-button {
    box-shadow: rgba(0, 0, 0, 0.5);
    display: flex;
    align-items: center;
    padding: 5px 10px;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin-right: 10px;
    cursor: pointer;
}

.control-icon {
    width: 24px;
    height: 24px;
    margin-right: 5px;
    vertical-align: middle;
}

.popup-overlay {
    display: none;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: relative;
}

.popup-content {
    background-color: transparent;
    padding: 20px;
    border-radius: 5px;
    text-align: center;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.popup-content {
    position: relative;
}

.popup-img {
    max-width: 10%;
    max-height: 80vh;
}

/* Q-Card styles */
.q-card {
    width: 80%;
    margin: 10px;
    cursor: pointer;
}

@property --angle1 {
    syntax: '<angle>';
    initial-value: 60deg;
    inherits: false;
}

@property --borderActive {
    syntax: '<number>';
    initial-value: 0px;
    inherits: false;

}

.popup-button {
    aspect-ratio: 1/1;
    background: var(--containerColor) padding-box,
    linear-gradient(var(--angle1), var(--fontColor) 0%, var(--accentColor) 100%) border-box;
    border-radius: 1em;
    border: var(--borderActive) solid transparent;
    transition: --angle1 1000s linear, --borderActive 0.3s ease-in-out, all 0.2s ease-in-out;
    padding: 4px;
    text-align: center;
    flex: 1;
    height: 20vh;
    margin: 1.55%;
    vertical-align: middle;
    justify-content: center;
    position: relative;
    display: flex; /* Use flexbox to center the content vertically */
    flex-direction: row; /* Stack content vertically */
    align-items: center; /* Center content horizontally */
    box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;

    &:hover {
        padding: 0px;
        --angle1: 200000deg;
        border-radius: 1em;
        border: 4px solid transparent;
        cursor: pointer;
        transform: scale(110%);
        box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px, var(--accentColor) 0px 8px 20px -12px inset, rgba(255, 255, 255, 0.3) 0px 18px 36px -18px inset;
        --borderActive: 4px;

    }
}

.popup-button img {
    max-width: 100%;
    max-height: 80px;
}

.popup-button.selected {
    border: 2px solid #333;
    border-radius: 5px;
}

.popup-button.selected img {
    border: 2px solid #333;
    border-radius: 5px;
}


/* Style for the close button */
.popup-close-button {
    margin-left: 10px;
    margin-right: 10px;
    margin-bottom: 4%;
    width: 30px;
    height: 30px;
    background-color: #fff;
    border-radius: 50%;
    border: 1px solid #ccc;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.popup-title-wrapper {
    flex-direction: column;
    display: flex;

}

.popup-close-button:hover {
    background-color: #f1f1f1;
}

.popup-close-button::before,
.popup-close-button::after {
    content: "";
    position: absolute;
    width: 2px;
    height: 20px;
    background-color: #333;
}

.popup-close-button::before {
    transform: rotate(45deg);
}

.popup-close-button::after {
    transform: rotate(-45deg);
}
.Logo-and-text-container
{
    position:absolute;
    left:0;
    top:0;
    display: inline-grid;
    padding: 1vh 0;
    align-content: center;
    grid-template: "a a a a a" 10vh / 0.05fr 0.2fr 0.075fr 0.4fr 0.15fr 0.15fr 0.05fr;
    transition: grid-template-columns var(--animationSpeed) ease-in-out;
    align-items: center;
}

.top-right-button
{
    min-width: 160px;
}
